<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
  public function up(): void
{
    Schema::create('appointments', function (Blueprint $table) {
        $table->id();
        $table->string('type'); // Physician, Consultant, etc.
        $table->string('practice_name');
        $table->string('name');
        $table->string('monthly_collections')->nullable();
        $table->string('email');
        $table->string('phone');
        $table->date('appointment_date');
        $table->time('appointment_time');
        $table->text('message')->nullable();
        $table->timestamps();
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('appointments');
    }
};
